Page MenuHomePhabricator

WMUI: Don't add icon padding to menu dropdowns without icons
Closed, ResolvedPublic

Description

We have a downstream patch in VE for this (T190851). It should be upstreamed so that popup tool groups behave the same as dropdown widgets.

Event Timeline

Esanders created this task.May 7 2018, 2:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 2:32 PM

Change 431576 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] WMUI: Don't add icon padding to menu tools with no icons

https://gerrit.wikimedia.org/r/431576

Change 431577 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Revert "Remove icon padding from format tools in WMUI"

https://gerrit.wikimedia.org/r/431577

Volker_E moved this task from Backlog to Reviewing on the OOUI board.May 7 2018, 9:09 PM

Change 431576 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Don't add icon padding to menu tools with no icons

https://gerrit.wikimedia.org/r/431576

Jdforrester-WMF moved this task from Reviewing to OOUI-0.27.0 on the OOUI board.
Jdforrester-WMF edited projects, added OOUI (OOUI-0.27.0); removed OOUI.

Change 431577 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Revert "Remove icon padding from format tools in WMUI"

https://gerrit.wikimedia.org/r/431577

Change 432396 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (07e7f8369)

https://gerrit.wikimedia.org/r/432396

Change 432396 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (07e7f8369)

https://gerrit.wikimedia.org/r/432396

Esanders closed this task as Resolved.May 19 2018, 5:36 PM
Vvjjkkii renamed this task from WMUI: Don't add icon padding to menu dropdowns without icons to 1gdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 1gdaaaaaaa to WMUI: Don't add icon padding to menu dropdowns without icons.Jul 2 2018, 4:21 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.